cmdargs

System.Console.CmdArgs.Implicit.Ann

Synopsis

- data Ann
  - = Help String
  - | Name String
  - | Explicit
  - | Ignore
  - | GroupName String
  - | FlagOptional String
  - | FlagArgs
  - | FlagArgPos Int
  - | FlagType String
  - | ModeDefault
  - | ModeHelpSuffix [String]
  - | ProgSummary String
  - | ProgProgram String
  - | ProgVerbosity
  - | ProgHelpArg [Ann]
  - | ProgVersionArg [Ann]
  - | ProgVerbosityArgs [Ann] [Ann]

# Documentation

data Ann

The general type of annotations that can be associated with a value.

Constructors

Help String |
Name String |
Explicit |
Ignore |
GroupName String |
FlagOptional String |
FlagArgs |
FlagArgPos Int |
FlagType String |
ModeDefault |
ModeHelpSuffix [String] |
ProgSummary String |
ProgProgram String |
ProgVerbosity |
ProgHelpArg [Ann] |
ProgVersionArg [Ann] |
ProgVerbosityArgs [Ann] [Ann] |

Instances

Eq Ann |
Data Ann |
Ord Ann |
Show Ann |
Typeable Ann |